Foros del Web » Programando para Internet » PHP »

No puedo conectarme a postgres

Estas en el tema de No puedo conectarme a postgres en el foro de PHP en Foros del Web. Hola a todos Estoy tratando de utilizar postgres y php pero tengo un problema al querer realizar la conexion me devuelve: Fatal error: Call to ...
  #1 (permalink)  
Antiguo 29/05/2009, 15:21
 
Fecha de Ingreso: marzo-2009
Mensajes: 31
Antigüedad: 10 años, 10 meses
Puntos: 0
No puedo conectarme a postgres

Hola a todos

Estoy tratando de utilizar postgres y php pero tengo un problema al querer realizar la conexion me devuelve:

Fatal error: Call to undefined function pg_connect()

segun tengo entendido era por las librerias y otras cosas, paso a comentar lo que he realizado

modifique el php.ini para que tome la libreria php_pdo_pgsql.dll,
modifique el extension dir para que tome la carpeta adonde esta la libreria anterior,
modifique el path de windows y le agregue la carpeta bin del postgres,

despues de hacer todo eso sigue fallando alguien me puede tirar un hilo o algo porque se me acabaron las ideas gracias a todos por su tiempo
  #2 (permalink)  
Antiguo 29/05/2009, 17:19
Avatar de spider_boy  
Fecha de Ingreso: diciembre-2003
Ubicación: Chile
Mensajes: 1.855
Antigüedad: 16 años, 1 mes
Puntos: 89
Respuesta: No puedo conectarme a postgres

Deja php.ini como estaba, osea, que llame a php_pgsql.dll, eso no lo toques xD.

A mí también me pasó, y la única solució que encontré googleando, era descargar una versión antigua de php, no menor a la 5, y de ahí sacar el archivo php_pgsql.dll. Luego lo reemplacé por el que tenía en el momento.

El archivo pgsql.dll que tengo, corresponde a la versión 5.2.3.3, el cuál viene en el paquete .zip de la versión 5.2.3 de php.

No te lo pasaré, porque podrías creer que es algún intento de meterte virus o cosas así, más bien te pasaré el link para que descargues el paquete antiguo xD : ....

Edit : Ya que no encontré el paquete, no me queda otra que subirlo xD...

php_pgsql.dll 5.2.3.3 Análisis en virustotal.com
php 5.2.3 win32 Análisis

PD : El paquete es por si acaso...

Cualquier cosa me avisas. Nos vemos ^^.
__________________
Nunca te olvidaré mi negra hermosa. Te extraño demasiado.
  #3 (permalink)  
Antiguo 03/06/2009, 13:16
 
Fecha de Ingreso: marzo-2009
Mensajes: 31
Antigüedad: 10 años, 10 meses
Puntos: 0
Respuesta: No puedo conectarme a postgres

spider_boy muchas gracias al final habilite las 2 librerias php_pgsql y php_pdo_pgsql y funciono bien

Muchas Gracias por tu tiempo
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 01:49.